<template>
  <div :class="['universe-badge', badge]">
    {{ $t(`badge.${badge}`) }}
  </div>
</template>

<script>
export default {
  props: {
    badge: {
      type: String,
      required: true
    }
  }
}
</script>

<style lang="scss" scoped>
.universe-badge {
  display: inline-block;
  padding: 0.5rem;
  color: #fff;
  font-family: DINCond-Bold;
  background-color: $color-secondary;

  @media (max-width: 768px) {
    font-size: 20px;
  }

  &.new {
    background-color: $color-secondary;
  }
}
</style>
